﻿using System.Web.Http;
using Newtonsoft.Json.Serialization;

namespace ProductStore
{
    public static class WebApiConfig
    {
        public static void Register(HttpConfiguration config) {
            // convert properties to camel conversion
            config.Formatters.JsonFormatter.SerializerSettings.ContractResolver =
                new CamelCasePropertyNamesContractResolver();

            config.Routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );
        }
    }
}
