﻿using System.Collections.Generic;

namespace ProductStore.Models
{
    interface IProductRepository
    {
        IEnumerable<Product> GetAll();
        Product Get(int id);
        Product Add(Product item);
        bool Remove(int id);
        bool Update(Product item);
    }
}
